Skip to main content
GET
/
embedded-banking
/
v1
/
bank-account-applications
List bank account applications.
curl --request GET \
  --url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-account-applications \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "businessName": "<string>",
      "emailVerified": true
    }
  ],
  "nextPaginationToken": "<string>",
  "prevPaginationToken": "<string>"
}

Authorizations

Authorization
string
header
required

Application (M2M) OAuth2 access token (client credentials).

Query Parameters

limit
default:25

Number of items to return (default 25, max 100).

pagination_token
string

Opaque pagination token from a previous response.

Response

Applications retrieved successfully.

A paginated response containing a page of results and navigation tokens.

data
object[]
required

The items in the current page.

nextPaginationToken
null | string

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page.

prevPaginationToken
null | string

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page.